<sw-page>

    <template #language-switch>
        <sw-language-switch 
            @on-change="changeLanguage" />
    </template>

    <template #smart-bar-actions>
        <sw-button
            variant="primary"
            :router-link="{ name: 'fyrst.order.states.create' }">
            {{ $tc('fyrstOrderStates.action.create') }}
        </sw-button>
    </template>

    <template #content>

        <sw-card-view
            v-if="stateMachines && activeStateMachine">

            <sw-tabs
                position-identifier="placeholder"
                :default-item="activeStateMachine.technicalName">

                <template slot-scope="{ active }">
                    <sw-tabs-item
                        v-for="stateMachine in stateMachines"
                        :key="stateMachine.id"
                        :name="stateMachine.technicalName"
                        :active-tab="active"
                        @click="changeActiveStateMachine(stateMachine.technicalName)">
                        {{stateMachine.translated.name}}
                    </sw-tabs-item>
                </template>
            </sw-tabs>

            <sw-card
                position-identifier="placeholder"
                class="fyrst-order-states-overview-card">

                <sw-data-grid 
                    :data-source="activeStateMachineStates"
                    :columns="gridColumns"
                    :compact-mode="false"
                    :show-selection="false"
                    :plain-appearance="true"
                    detail-route="fyrst.order.states.detail"
                    :is-loading="loadingStateMachineStates">

                    <template #actions="{ item }">
                        <sw-context-menu-item
                            :router-link="{ name: 'fyrst.order.states.detail', params: { id: item.id } }">
                            {{ $tc('fyrstOrderStates.action.edit') }}

                        </sw-context-menu-item>
                        <sw-context-menu-item
                            variant="danger"
                            v-tooltip="{
                                message: $tc('fyrstOrderStates.overview.restrictDelete.hasLinkedOrders'),
                                disabled: item.orders.length === 0
                            }"
                            :disabled="item.orders.length > 0"
                            @click="prepareDeleteStateMachineState(item.id)">
                            {{ $tc('fyrstOrderStates.action.delete') }}
                        </sw-context-menu-item>
                    </template>

                    <template #action-modals="{ item }">

                        <sw-modal 
                            v-if="item.id === deleteItemId"
                            :title="$tc('fyrstOrderStates.overview.deleteModalTitle')"
                            @modal-close="deleteItemId = null">

                            <div 
                                v-html="$t('fyrstOrderStates.overview.deleteModalConfirmation', { state: item.translated.name } )" 
                                :style="{
                                    textAlign: 'center',
                                    lineHeight: '1.75',
                                    padding: '24px'
                                }" />

                            <template #modal-footer>
                                <sw-container 
                                    columns="repeat(2, auto)"
                                    gap="20px">

                                    <sw-button
                                        @click="resetDeleteStateMachineState">
                                        {{$tc('fyrstOrderStates.action.cancel')}}
                                    </sw-button>

                                    <sw-button 
                                        variant="danger"
                                        @click="deleteStateMachineState(item.id)">
                                        {{$tc('fyrstOrderStates.action.delete')}}
                                    </sw-button>
                                </sw-container>
                            </template>
                        </sw-modal>
                    </template>
                </sw-data-grid>
            </sw-card>
        </sw-card-view>
    </template>
</sw-page>